<!DOCTYPE html>
<html lang="fr">
    <head>
        <meta charset="utf-8">
        <title>Index</title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <link href="/includes/style/frontpage.css" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    </head>
    <body>
        <header>
            <div class="title">
                <h1>Les cours du Garage Numérique..</h1>
            </div>
        </header>
        <main>
            <div class="container-fluid">
                <div class="container">
                    <div class="card-deck-custom">
                        <div class="card" data-link="/courses/gn/">
                            <svg viewBox="0 0 16 16" class="card-icon"><g transform="translate(-52.11 -598.48)"><path d="m58.017 598.48v5.9062h-5.9062v4.1875h5.9062v5.9062h4.1875v-5.9062h5.9062v-4.1875h-5.9062v-5.9062h-4.1875z" fill="rgb(36, 180, 126)" /></g></svg>
                            <div class="card-body">
                                <h5 class="card-title">Garage Num<i class="material-icons">arrow_right</i></h5>
                                <p>Première diapo du Garage</p>
                            </div>
                        </div>
                        <div class="card" data-link="/courses/playground/">
                            <svg viewBox="0 0 16 16" class="card-icon"><g transform="translate(-52.11 -598.48)"><path d="m58.017 598.48v5.9062h-5.9062v4.1875h5.9062v5.9062h4.1875v-5.9062h5.9062v-4.1875h-5.9062v-5.9062h-4.1875z" fill="rgb(36, 180, 126)" /></g></svg>
                            <div class="card-body">
                                <h5 class="card-title">Généralités<i class="material-icons">arrow_right</i></h5>
                                <p>Tu trouveras ici les cours t'expliquant les bases des outils et sciences utilisés dans le secteur du développement web (Terminal, Git, Mathématiques, ...). Ces cours seront effectués tout au long de l'année sur de petites plages horaires.</p>
                            </div>
                        </div>
                        <div class="card" data-link="/courses/html/">
                            <svg class="card-icon" viewBox="0 0 512 512"><title>HTML5 Logo</title><path d="M108.4 0h23v22.8h21.2V0h23v69h-23V46h-21v23h-23.2M206 23h-20.3V0h63.7v23H229v46h-23M259.5 0h24.1l14.8 24.3L313.2 0h24.1v69h-23V34.8l-16.1 24.8l-16.1-24.8v34.2h-22.6M348.7 0h23v46.2h32.6V69h-55.6"/><path fill="#e44d26" d="M107.6 471l-33-370.4h362.8l-33 370.2L255.7 512"/><path fill="#f16529" d="M256 480.5V131H404.3L376 447"/><path fill="#ebebeb" d="M142 176.3h114v45.4h-64.2l4.2 46.5h60v45.3H154.4M156.4 336.3H202l3.2 36.3 50.8 13.6v47.4l-93.2-26"/><path fill="#fff" d="M369.6 176.3H255.8v45.4h109.6M361.3 268.2H255.8v45.4h56l-5.3 59-50.7 13.6v47.2l93-25.8"/></svg>
                            <div class="card-body">
                                <h5 class="card-title">HTML<i class="material-icons">arrow_right</i></h5>
                                <p>Ah voilà ! C'est le début du développement web, le premier "langage" (si on peut appeler ça comme ça) qu'il est nécessaire d'apprendre pour faire des sites internets. Il te permettra de le structurer et d'y insérer ton contenu. Nous allons voir ensemble de quoi il en retourne pendant 35h.</p>
                            </div>
                        </div>
                        <div class="card" data-link="/courses/css/">
                            <svg class="card-icon" viewBox="0 0 342 480" version="1.1"><g id="#000000ff"><path fill="#000000" opacity="1.00" d=" M 68.37 0.96 C 89.37 0.70 110.37 0.88 131.37 0.87 C 131.42 7.44 131.52 14.01 131.28 20.58 C 116.73 20.48 102.19 20.58 87.65 20.67 C 87.55 30.21 87.36 39.75 87.45 49.29 C 102.05 49.38 116.66 49.52 131.26 49.46 C 131.43 54.86 131.37 60.28 131.21 65.69 C 110.27 65.55 89.33 65.61 68.39 65.63 C 68.44 44.07 68.48 22.52 68.37 0.96 Z" /><path fill="#000000" opacity="1.00" d=" M 138.86 0.89 C 160.12 0.85 181.38 0.72 202.65 0.96 C 202.57 7.17 202.63 13.37 202.63 19.58 C 187.16 19.53 171.68 19.60 156.21 19.78 C 156.23 22.22 156.23 24.66 156.21 27.10 C 171.66 27.35 187.10 27.38 202.54 27.47 C 202.60 40.20 202.57 52.92 202.65 65.64 C 181.38 65.60 160.11 65.62 138.84 65.72 C 138.73 60.58 138.72 55.45 138.87 50.31 C 153.61 50.35 168.36 50.37 183.10 50.25 C 183.19 46.94 183.23 43.62 183.22 40.31 C 168.41 40.31 153.59 40.36 138.78 40.26 C 138.78 27.14 138.78 14.01 138.86 0.89 Z" /><path fill="#000000" opacity="1.00" d=" M 209.77 1.00 C 230.99 1.00 252.22 1.00 273.44 1.00 C 273.53 7.24 273.62 13.48 273.42 19.71 C 257.88 19.70 242.34 19.79 226.80 19.82 C 226.84 22.37 226.90 24.92 227.03 27.47 C 242.48 27.40 257.93 27.59 273.37 27.75 C 273.51 40.42 273.61 53.09 273.43 65.76 C 252.16 65.70 230.89 65.70 209.62 65.80 C 209.49 60.68 209.45 55.54 209.67 50.42 C 224.38 50.53 239.10 50.51 253.82 50.37 C 253.86 47.05 253.93 43.73 253.90 40.42 C 239.13 40.56 224.35 40.48 209.57 40.43 C 209.57 27.29 209.67 14.14 209.77 1.00 Z" /></g><g id="#0170baff"><path fill="#0170ba" opacity="1.00" d=" M 0.00 92.46 C 113.92 92.45 227.83 92.44 341.75 92.46 C 335.48 163.31 329.31 234.16 322.78 304.99 C 318.90 350.26 314.90 395.53 310.68 440.77 C 286.37 447.21 262.30 454.55 238.00 461.02 C 215.68 467.57 193.18 473.50 170.85 480.00 L 170.19 480.00 C 148.94 473.68 127.48 468.12 106.23 461.80 C 81.15 455.04 56.29 447.50 31.20 440.77 C 27.93 406.86 24.98 372.93 22.07 339.00 C 16.58 276.31 10.61 213.66 5.33 150.96 C 3.50 132.09 2.19 113.16 0.00 94.33 L 0.00 92.46 M 171.41 120.41 C 171.17 134.02 171.59 147.64 171.17 161.24 C 132.09 161.10 93.00 161.21 53.92 161.25 C 54.59 174.46 56.36 187.58 58.18 200.68 C 94.54 202.03 130.95 200.63 167.31 201.72 C 135.50 215.99 103.30 229.43 71.35 243.40 C 68.61 244.62 65.68 245.54 63.23 247.32 C 63.50 261.83 65.84 276.26 66.87 290.74 C 86.25 290.67 105.62 290.36 125.00 290.33 C 140.53 290.25 156.07 290.56 171.60 290.22 C 170.86 314.08 171.83 337.97 171.10 361.83 C 160.65 360.28 150.33 357.95 139.92 356.10 C 131.71 354.31 123.30 353.38 115.21 351.03 C 114.06 339.58 113.26 328.09 112.24 316.63 C 109.90 315.91 107.42 315.98 105.00 315.94 C 93.26 316.01 81.51 315.90 69.76 316.08 C 70.91 338.11 72.89 360.11 76.26 381.93 C 87.84 384.95 99.44 387.91 111.00 391.06 C 128.71 395.88 146.64 399.89 164.38 404.63 C 166.49 405.08 168.62 405.86 170.81 405.68 C 171.99 420.17 171.08 434.75 171.30 449.28 C 175.39 448.62 179.41 447.61 183.36 446.39 C 216.94 437.27 250.48 427.98 284.04 418.77 C 285.71 405.57 286.49 392.28 287.81 379.05 C 291.30 338.83 294.82 298.61 298.48 258.40 C 302.77 212.40 306.48 166.35 310.80 120.35 C 264.33 120.39 217.87 120.26 171.41 120.41 Z" /></g><g id="#29a9dfff"><path fill="#29a9df" opacity="1.00" d=" M 171.41 120.41 C 217.87 120.26 264.33 120.39 310.80 120.35 C 306.48 166.35 302.77 212.40 298.48 258.40 C 294.82 298.61 291.30 338.83 287.81 379.05 C 286.49 392.28 285.71 405.57 284.04 418.77 C 250.48 427.98 216.94 437.27 183.36 446.39 C 179.41 447.61 175.39 448.62 171.30 449.28 C 171.08 434.75 171.99 420.17 170.81 405.68 C 171.11 405.62 171.72 405.50 172.02 405.44 C 203.25 397.60 234.27 388.97 265.43 380.85 C 269.37 336.65 273.74 292.47 276.51 248.18 C 250.01 248.32 223.50 248.24 197.00 248.35 C 193.14 248.37 189.28 248.35 185.44 248.07 C 199.70 240.73 214.70 234.91 229.34 228.36 C 243.39 221.99 257.61 216.02 271.71 209.77 C 274.43 208.52 277.33 207.48 279.72 205.62 C 280.66 202.17 280.61 198.56 280.98 195.03 C 281.79 183.83 283.23 172.69 283.77 161.48 C 246.24 161.18 208.71 161.44 171.17 161.24 C 171.59 147.64 171.17 134.02 171.41 120.41 Z" /><path fill="#29a9df" opacity="1.00" d=" M 171.60 290.22 C 189.72 289.91 207.85 290.40 225.98 290.28 C 224.97 308.81 223.43 327.31 222.47 345.84 C 211.36 349.47 200.08 352.54 188.88 355.90 C 182.91 357.72 176.78 359.16 171.10 361.83 C 171.83 337.97 170.86 314.08 171.60 290.22 Z" /></g><g id="#cfcfcfff"><path fill="#cfcfcf" opacity="1.00" d=" M 53.92 161.25 C 93.00 161.21 132.09 161.10 171.17 161.24 C 171.68 204.24 171.04 247.24 171.60 290.22 C 156.07 290.56 140.53 290.25 125.00 290.33 C 105.62 290.36 86.25 290.67 66.87 290.74 C 65.84 276.26 63.50 261.83 63.23 247.32 C 65.68 245.54 68.61 244.62 71.35 243.40 C 103.30 229.43 135.50 215.99 167.31 201.72 C 130.95 200.63 94.54 202.03 58.18 200.68 C 56.36 187.58 54.59 174.46 53.92 161.25 Z" /><path fill="#cfcfcf" opacity="1.00" d=" M 69.76 316.08 C 81.51 315.90 93.26 316.01 105.00 315.94 C 107.42 315.98 109.90 315.91 112.24 316.63 C 113.26 328.09 114.06 339.58 115.21 351.03 C 123.30 353.38 131.71 354.31 139.92 356.10 C 150.33 357.95 160.65 360.28 171.10 361.83 C 172.10 376.35 170.35 390.97 172.02 405.44 C 171.72 405.50 171.11 405.62 170.81 405.68 C 168.62 405.86 166.49 405.08 164.38 404.63 C 146.64 399.89 128.71 395.88 111.00 391.06 C 99.44 387.91 87.84 384.95 76.26 381.93 C 72.89 360.11 70.91 338.11 69.76 316.08 Z" /></g><g id="#ffffffff"><path fill="#ffffff" opacity="1.00" d=" M 171.17 161.24 C 208.71 161.44 246.24 161.18 283.77 161.48 C 283.23 172.69 281.79 183.83 280.98 195.03 C 280.61 198.56 280.66 202.17 279.72 205.62 C 277.33 207.48 274.43 208.52 271.71 209.77 C 257.61 216.02 243.39 221.99 229.34 228.36 C 214.70 234.91 199.70 240.73 185.44 248.07 C 189.28 248.35 193.14 248.37 197.00 248.35 C 223.50 248.24 250.01 248.32 276.51 248.18 C 273.74 292.47 269.37 336.65 265.43 380.85 C 234.27 388.97 203.25 397.60 172.02 405.44 C 170.35 390.97 172.10 376.35 171.10 361.83 C 176.78 359.16 182.91 357.72 188.88 355.90 C 200.08 352.54 211.36 349.47 222.47 345.84 C 223.43 327.31 224.97 308.81 225.98 290.28 C 207.85 290.40 189.72 289.91 171.60 290.22 C 171.04 247.24 171.68 204.24 171.17 161.24 Z" /></g></svg>
                            <div class="card-body">
                                <h5 class="card-title">CSS<i class="material-icons">arrow_right</i></h5>
                                <p>Bon, et pour celles et ceux qui trouvaient l'HTML un peu austère, voici le CSS. C'est le "langage" (si on peut appeler ça comme ça) qui te permettra d'appliquer du style, de structurer l'affichage de ton site, de faire des animations, le tout dans un format plutôt simple. Nous allons le découvrir (parce que c'est difficile d'en faire le tour) pendant 50h environ.</p>
                            </div>
                        </div>
                        <div class="card" data-link="/courses/javascript/">
                            <svg class="card-icon" viewBox="0 0 630 630"><rect width="630" height="630" fill="#f7df1e"/><path d="m423.2 492.19c12.69 20.72 29.2 35.95 58.4 35.95 24.53 0 40.2-12.26 40.2-29.2 0-20.3-16.1-27.49-43.1-39.3l-14.8-6.35c-42.72-18.2-71.1-41-71.1-89.2 0-44.4 33.83-78.2 86.7-78.2 37.64 0 64.7 13.1 84.2 47.4l-46.1 29.6c-10.15-18.2-21.1-25.37-38.1-25.37-17.34 0-28.33 11-28.33 25.37 0 17.76 11 24.95 36.4 35.95l14.8 6.34c50.3 21.57 78.7 43.56 78.7 93 0 53.3-41.87 82.5-98.1 82.5-54.98 0-90.5-26.2-107.88-60.54zm-209.13 5.13c9.3 16.5 17.76 30.45 38.1 30.45 19.45 0 31.72-7.61 31.72-37.2v-201.3h59.2v202.1c0 61.3-35.94 89.2-88.4 89.2-47.4 0-74.85-24.53-88.81-54.075z"/></svg>
                            <div class="card-body">
                                <h5 class="card-title">JS<i class="material-icons">arrow_right</i></h5>
                                <p>On y est ! C'est un langage de programmation. Il te permettra de dynamiser l'expérience utilisateur, et d'enfin appliquer une logique faisant passer ta création d'un site internet à une application web. C'est ici que les choses vont devenir difficile, accroche toi ! Seront évoqués les concepts suivants : Frontend, librairies, frameworks, etc. On a prévu un total de 115h de formation sur cette partie.</p>
                            </div>
                        </div>
                        <div class="card" data-link="/courses/nodejs/">
                            <svg class="card-icon" version="1.2" viewBox="0 0 442.37 270.929"><defs><clipPath id="a"><path d="M239.03 226.605l-42.13 24.317c-1.578.91-2.546 2.59-2.546 4.406v48.668c0 1.817.968 3.496 2.546 4.406l42.133 24.336c1.575.907 3.517.907 5.09 0l42.126-24.336c1.57-.91 2.54-2.59 2.54-4.406v-48.668c0-1.816-.97-3.496-2.55-4.406l-42.12-24.317c-.79-.453-1.67-.68-2.55-.68-.88 0-1.76.227-2.55.68"/></clipPath><linearGradient id="b" x1="-.348" x2="1.251" gradientTransform="rotate(116.114 53.1 202.97) scale(86.48)" gradientUnits="userSpaceOnUse"><stop offset=".3" stop-color="#3E863D"/><stop offset=".5" stop-color="#55934F"/><stop offset=".8" stop-color="#5AAD45"/></linearGradient><clipPath id="c"><path d="M195.398 307.086c.403.523.907.976 1.5 1.316l36.14 20.875 6.02 3.46c.9.52 1.926.74 2.934.665.336-.027.672-.09 1-.183l44.434-81.36c-.34-.37-.738-.68-1.184-.94l-27.586-15.93-14.582-8.39c-.414-.24-.863-.41-1.32-.53zm0 0"/></clipPath><linearGradient id="d" x1="-.456" x2=".582" gradientTransform="rotate(-36.46 550.846 -214.337) scale(132.798)" gradientUnits="userSpaceOnUse"><stop offset=".57" stop-color="#3E863D"/><stop offset=".72" stop-color="#619857"/><stop offset="1" stop-color="#76AC64"/></linearGradient><clipPath id="e"><path d="M241.066 225.953c-.707.07-1.398.29-2.035.652l-42.01 24.247 45.3 82.51c.63-.09 1.25-.3 1.81-.624l42.13-24.336c1.3-.754 2.19-2.03 2.46-3.476l-46.18-78.89c-.34-.067-.68-.102-1.03-.102-.14 0-.28.007-.42.02"/></clipPath><linearGradient id="f" x1=".043" x2=".984" gradientTransform="translate(192.862 279.652) scale(97.417)" gradientUnits="userSpaceOnUse"><stop offset=".16" stop-color="#6BBF47"/><stop offset=".38" stop-color="#79B461"/><stop offset=".47" stop-color="#75AC64"/><stop offset=".7" stop-color="#659E5A"/><stop offset=".9" stop-color="#3E863D"/></linearGradient></defs><path fill="#689f63" d="M218.647 270.93c-1.46 0-2.91-.383-4.19-1.12l-13.337-7.896c-1.992-1.114-1.02-1.508-.363-1.735 2.656-.93 3.195-1.14 6.03-2.75.298-.17.688-.11.993.07l10.246 6.08c.37.2.895.2 1.238 0l39.95-23.06c.37-.21.61-.64.61-1.08v-46.1c0-.46-.24-.87-.618-1.1l-39.934-23.04c-.37-.22-.86-.22-1.23 0l-39.926 23.04c-.387.22-.633.65-.633 1.09v46.1c0 .44.24.86.62 1.07l10.94 6.32c5.94 2.97 9.57-.53 9.57-4.05v-45.5c0-.65.51-1.15 1.16-1.15h5.06c.63 0 1.15.5 1.15 1.15v45.52c0 7.92-4.32 12.47-11.83 12.47-2.31 0-4.13 0-9.21-2.5l-10.48-6.04c-2.59-1.5-4.19-4.3-4.19-7.29v-46.1c0-3 1.6-5.8 4.19-7.28l39.99-23.07c2.53-1.43 5.89-1.43 8.4 0l39.94 23.08c2.58 1.49 4.19 4.28 4.19 7.28v46.1c0 2.99-1.61 5.78-4.19 7.28l-39.94 23.07c-1.28.74-2.73 1.12-4.21 1.12"/><path fill="#689f63" d="M230.987 239.164c-17.48 0-21.145-8.024-21.145-14.754 0-.64.516-1.15 1.157-1.15h5.16c.57 0 1.05.415 1.14.978.78 5.258 3.1 7.91 13.67 7.91 8.42 0 12-1.902 12-6.367 0-2.57-1.02-4.48-14.1-5.76-10.94-1.08-17.7-3.49-17.7-12.24 0-8.06 6.8-12.86 18.19-12.86 12.79 0 19.13 4.44 19.93 13.98.03.33-.09.65-.31.89-.22.23-.53.37-.85.37h-5.19c-.54 0-1.01-.38-1.12-.9-1.25-5.53-4.27-7.3-12.48-7.3-9.19 0-10.26 3.2-10.26 5.6 0 2.91 1.26 3.76 13.66 5.4 12.28 1.63 18.11 3.93 18.11 12.56 0 8.7-7.26 13.69-19.92 13.69m48.66-48.89h1.34c1.1 0 1.31-.77 1.31-1.22 0-1.18-.81-1.18-1.26-1.18h-1.38zm-1.63-3.78h2.97c1.02 0 3.02 0 3.02 2.28 0 1.59-1.02 1.92-1.63 2.12 1.19.08 1.27.86 1.43 1.96.08.69.21 1.88.45 2.28h-1.83c-.05-.4-.33-2.6-.33-2.72-.12-.49-.29-.73-.9-.73h-1.51v3.46h-1.67zm-3.57 4.3c0 3.58 2.89 6.48 6.44 6.48 3.58 0 6.47-2.96 6.47-6.48 0-3.59-2.93-6.44-6.48-6.44-3.5 0-6.44 2.81-6.44 6.43m14.16.03c0 4.24-3.47 7.7-7.7 7.7-4.2 0-7.7-3.42-7.7-7.7 0-4.36 3.58-7.7 7.7-7.7 4.15 0 7.69 3.35 7.69 7.7"/><path fill="#333" fill-rule="evenodd" d="M94.936 90.55c0-1.84-.97-3.53-2.558-4.445l-42.356-24.37c-.715-.42-1.516-.64-2.328-.67h-.438c-.812.03-1.613.25-2.34.67L2.562 86.105C.984 87.025 0 88.715 0 90.555l.093 65.64c0 .91.47 1.76 1.27 2.21.78.48 1.76.48 2.54 0l25.18-14.42c1.59-.946 2.56-2.618 2.56-4.44V108.88c0-1.83.97-3.52 2.555-4.43l10.72-6.174c.796-.46 1.67-.688 2.56-.688.876 0 1.77.226 2.544.687l10.715 6.172c1.586.91 2.56 2.6 2.56 4.43v30.663c0 1.82.983 3.5 2.565 4.44l25.164 14.41c.79.47 1.773.47 2.56 0 .776-.45 1.268-1.3 1.268-2.21zm199.868 34.176c0 .457-.243.88-.64 1.106l-14.548 8.386c-.395.227-.883.227-1.277 0l-14.55-8.386c-.4-.227-.64-.65-.64-1.106V107.93c0-.458.24-.88.63-1.11l14.54-8.4c.4-.23.89-.23 1.29 0l14.55 8.4c.4.23.64.652.64 1.11zM298.734.324c-.794-.442-1.76-.43-2.544.027-.78.46-1.262 1.3-1.262 2.21v65c0 .64-.34 1.23-.894 1.55-.55.32-1.235.32-1.79 0L281.634 63c-1.58-.914-3.526-.914-5.112 0l-42.37 24.453c-1.583.91-2.56 2.6-2.56 4.42v48.92c0 1.83.977 3.51 2.56 4.43l42.37 24.47c1.582.91 3.53.91 5.117 0l42.37-24.48c1.58-.92 2.56-2.6 2.56-4.43V18.863c0-1.856-1.01-3.563-2.63-4.47zm141.093 107.164c1.574-.914 2.543-2.602 2.543-4.422V91.21c0-1.824-.97-3.507-2.547-4.425l-42.1-24.44c-1.59-.92-3.54-.92-5.13 0l-42.36 24.45c-1.59.92-2.56 2.6-2.56 4.43v48.9c0 1.84.99 3.54 2.58 4.45l42.09 23.99c1.55.89 3.45.9 5.02.03l25.46-14.15c.8-.45 1.31-1.3 1.31-2.22 0-.92-.49-1.78-1.29-2.23l-42.62-24.46c-.8-.45-1.29-1.3-1.29-2.21v-15.34c0-.916.48-1.76 1.28-2.216l13.26-7.65c.79-.46 1.76-.46 2.55 0l13.27 7.65c.79.45 1.28 1.3 1.28 2.21v12.06c0 .91.49 1.76 1.28 2.22.79.45 1.77.45 2.56-.01zm0 0"/><path fill="#689f63" fill-rule="evenodd" d="M394.538 105.2c.3-.177.676-.177.98 0l8.13 4.69c.304.176.49.5.49.85v9.39c0 .35-.186.674-.49.85l-8.13 4.69c-.304.177-.68.177-.98 0l-8.125-4.69c-.31-.176-.5-.5-.5-.85v-9.39c0-.35.18-.674.49-.85zm0 0"/><g clip-path="url(#a)" transform="translate(-78.306 -164.016)"><path fill="url(#b)" d="M331.363 246.793l-118.715-58.19-60.87 124.174L270.49 370.97zm0 0"/></g><g clip-path="url(#c)" transform="translate(-78.306 -164.016)"><path fill="url(#d)" d="M144.07 264.004l83.825 113.453 110.86-81.906-83.83-113.45zm0 0"/></g><g clip-path="url(#e)" transform="translate(-78.306 -164.016)"><path fill="url(#f)" d="M197.02 225.934v107.43h91.683v-107.43zm0 0"/></g></svg>
                            <div class="card-body">
                                <h5 class="card-title">NodeJS<i class="material-icons">arrow_right</i></h5>
                                <p>Voyons ensemble un peu de back-end (programmation côté serveur) et comment traiter les requêtes. C'est une partie abstraite mais qu'il est nécessaire de connaitre pour comprendre le fonctionnement global d'un site et d'une application Web. On restera sur cette partie (en alternant avec les bases de données) pendant environ 100h.</p>
                            </div>
                        </div>
                        <div class="card" data-link="/courses/database/">
                            <svg class="card-icon" viewBox="0 0 138.86 190.71" ><g transform="translate(-662 -482.72)"><g transform="translate(720.73 455.18)"><path transform="matrix(.47131 0 0 1.0459 -144.24 -439.39)" d="m475.71 602.72c0 14.399-65.878 26.071-147.14 26.071-81.265 0-147.14-11.673-147.14-26.071s65.878-26.071 147.14-26.071c81.265 0 147.14 11.673 147.14 26.071z" fill="#d40000"/><path d="m-58.577 145.9v0.29457c6e-3 -0.0975 0.0206-0.19729 0.0295-0.29457h-0.0295zm138.62 0c0.0302 0.33044 0.0589 0.66821 0.0589 1.0015v-1.0015h-0.0589zm0.0589 1.0015c-1e-5 15.052-31.075 27.262-69.356 27.262-37.683 1e-5 -68.377-11.828-69.326-26.555v40.68c-0.0151 0.23376-0.0147 0.45704-0.0147 0.69223 0 0.22546 8.7e-4 0.45335 0.0147 0.67751 0.91151 14.741 31.619 26.599 69.326 26.599 37.708 0 68.415-11.858 69.326-26.599h0.0295v-0.50077c9.5e-4 -0.0587 0-0.11794 0-0.17674s9.4e-4 -0.11803 0-0.17674v-41.902z" fill="#f55"/><path transform="matrix(.47131 0 0 1.0459 -144.08 -483.32)" d="m475.71 602.72c0 14.399-65.878 26.071-147.14 26.071-81.265 0-147.14-11.673-147.14-26.071s65.878-26.071 147.14-26.071c81.265 0 147.14 11.673 147.14 26.071z" fill="#ff2a2a"/><path transform="matrix(.46281 0 0 1.0271 -140.93 -473.87)" d="m475.71 602.72c0 14.399-65.878 26.071-147.14 26.071-81.265 0-147.14-11.673-147.14-26.071s65.878-26.071 147.14-26.071c81.265 0 147.14 11.673 147.14 26.071z" fill="#ff8080"/></g><g transform="translate(720.73 409.74)"><path transform="matrix(.47131 0 0 1.0459 -144.24 -439.39)" d="m475.71 602.72c0 14.399-65.878 26.071-147.14 26.071-81.265 0-147.14-11.673-147.14-26.071s65.878-26.071 147.14-26.071c81.265 0 147.14 11.673 147.14 26.071z" fill="#d40000"/><path d="m-58.577 145.9v0.29457c6e-3 -0.0975 0.0206-0.19729 0.0295-0.29457h-0.0295zm138.62 0c0.0302 0.33044 0.0589 0.66821 0.0589 1.0015v-1.0015h-0.0589zm0.0589 1.0015c-1e-5 15.052-31.075 27.262-69.356 27.262-37.683 1e-5 -68.377-11.828-69.326-26.555v40.68c-0.0151 0.23376-0.0147 0.45704-0.0147 0.69223 0 0.22546 8.7e-4 0.45335 0.0147 0.67751 0.91151 14.741 31.619 26.599 69.326 26.599 37.708 0 68.415-11.858 69.326-26.599h0.0295v-0.50077c9.5e-4 -0.0587 0-0.11794 0-0.17674s9.4e-4 -0.11803 0-0.17674v-41.902z" fill="#f55"/><path transform="matrix(.47131 0 0 1.0459 -144.08 -483.32)" d="m475.71 602.72c0 14.399-65.878 26.071-147.14 26.071-81.265 0-147.14-11.673-147.14-26.071s65.878-26.071 147.14-26.071c81.265 0 147.14 11.673 147.14 26.071z" fill="#ff2a2a"/><path transform="matrix(.46281 0 0 1.0271 -140.93 -473.87)" d="m475.71 602.72c0 14.399-65.878 26.071-147.14 26.071-81.265 0-147.14-11.673-147.14-26.071s65.878-26.071 147.14-26.071c81.265 0 147.14 11.673 147.14 26.071z" fill="#ff8080"/></g><g transform="translate(720.73 364.31)"><path transform="matrix(.47131 0 0 1.0459 -144.24 -439.39)" d="m475.71 602.72c0 14.399-65.878 26.071-147.14 26.071-81.265 0-147.14-11.673-147.14-26.071s65.878-26.071 147.14-26.071c81.265 0 147.14 11.673 147.14 26.071z" fill="#d40000"/><path d="m-58.577 145.9v0.29457c6e-3 -0.0975 0.0206-0.19729 0.0295-0.29457h-0.0295zm138.62 0c0.0302 0.33044 0.0589 0.66821 0.0589 1.0015v-1.0015h-0.0589zm0.0589 1.0015c-1e-5 15.052-31.075 27.262-69.356 27.262-37.683 1e-5 -68.377-11.828-69.326-26.555v40.68c-0.0151 0.23376-0.0147 0.45704-0.0147 0.69223 0 0.22546 8.7e-4 0.45335 0.0147 0.67751 0.91151 14.741 31.619 26.599 69.326 26.599 37.708 0 68.415-11.858 69.326-26.599h0.0295v-0.50077c9.5e-4 -0.0587 0-0.11794 0-0.17674s9.4e-4 -0.11803 0-0.17674v-41.902z" fill="#f55"/><path transform="matrix(.47131 0 0 1.0459 -144.08 -483.32)" d="m475.71 602.72c0 14.399-65.878 26.071-147.14 26.071-81.265 0-147.14-11.673-147.14-26.071s65.878-26.071 147.14-26.071c81.265 0 147.14 11.673 147.14 26.071z" fill="#ff2a2a"/><path transform="matrix(.46281 0 0 1.0271 -140.93 -473.87)" d="m475.71 602.72c0 14.399-65.878 26.071-147.14 26.071-81.265 0-147.14-11.673-147.14-26.071s65.878-26.071 147.14-26.071c81.265 0 147.14 11.673 147.14 26.071z" fill="#ff8080"/></g></g></svg>
                            <div class="card-body">
                                <h5 class="card-title">Bases de données<i class="material-icons">arrow_right</i></h5>
                                <p>Et si tu te demandais comment sauvegarder les données liées à ton site internet. Une solution existe et elle est plutôt courante : Les bases de données. Par contre il y en a différent types pour différentes utilisations. On va donc apprendre à les utiliser, s'y connecter, les gérer, etc. Le tout pendant environ 60h.</p>
                            </div>
                        </div>
                        <div class="card" data-link="/courses/network/">
                            <svg class="card-icon" viewBox="0 0 1280.000000 1280.000000" preserveAspectRatio="xMidYMid meet"><g transform="translate(0.000000,1280.000000) scale(0.100000,-0.100000)" fill="#3297d3" stroke="none"><path d="M6150 11689 c-1818 -80 -3441 -1062 -4345 -2629 -492 -852 -739 -1877 -694 -2882 34 -773 202 -1447 529 -2123 557 -1152 1544 -2078 2721 -2554 724 -292 1498 -426 2262 -391 775 36 1449 204 2122 530 1153 557 2078 1544 2555 2724 459 1137 521 2399 174 3573 -318 1082 -985 2040 -1889 2714 -755 562 -1645 909 -2601 1013 -132 15 -547 37 -624 34 -19 0 -114 -5 -210 -9z m-150 -1765 c0 -895 -1 -945 -17 -940 -10 2 -45 7 -78 11 -118 12 -413 67 -574 106 -177 42 -442 117 -453 128 -4 3 19 62 51 131 200 435 477 917 768 1337 98 141 109 153 142 158 20 4 43 8 51 10 8 1 36 3 63 4 l47 1 0 -946z m979 928 c46 -17 397 -555 605 -927 74 -131 289 -559 323 -642 l22 -52 -97 -32 c-282 -90 -678 -174 -999 -212 l-33 -4 0 945 0 945 80 -7 c44 -3 88 -10 99 -14z m-2385 -444 c-93 -158 -314 -591 -390 -765 -27 -62 -54 -113 -61 -113 -29 0 -498 251 -606 325 -17 12 -8 21 85 95 124 98 372 264 523 351 154 88 485 245 522 248 6 1 -26 -63 -73 -141z m3694 77 c321 -141 725 -390 960 -592 l34 -28 -144 -85 c-151 -89 -461 -250 -481 -250 -7 0 -37 55 -66 123 -106 241 -308 631 -430 830 -22 37 -36 67 -31 67 6 0 77 -29 158 -65z m-5171 -1286 c92 -55 301 -167 464 -248 l296 -147 -19 -50 c-75 -194 -226 -728 -294 -1035 -69 -318 -103 -529 -139 -861 l-6 -58 -739 0 -738 0 4 38 c52 499 140 874 299 1277 124 314 243 541 430 820 93 139 262 365 272 365 1 0 78 -45 170 -101z m6805 16 c509 -635 852 -1489 923 -2300 3 -38 8 -80 11 -92 l4 -23 -740 0 c-407 0 -740 2 -740 5 0 3 -7 70 -15 148 -56 506 -200 1135 -392 1706 l-49 145 305 153 c169 84 376 195 461 247 85 52 158 94 161 93 4 -1 36 -38 71 -82z m-5193 -740 c385 -143 849 -258 1214 -300 l57 -6 0 -685 0 -684 -891 0 -891 0 7 78 c35 399 137 897 270 1326 49 157 104 316 110 316 2 0 58 -20 124 -45z m3501 -42 c162 -447 304 -1086 345 -1555 l7 -78 -891 0 -891 0 0 685 c0 541 3 685 13 685 34 1 301 42 414 65 257 52 604 150 839 239 65 25 122 45 126 45 3 1 20 -38 38 -86z m-4806 -2525 c35 -464 168 -1072 362 -1657 46 -140 82 -256 81 -258 -2 -2 -134 -68 -293 -147 -159 -80 -365 -190 -458 -246 l-169 -101 -24 28 c-200 242 -425 596 -560 883 -228 484 -355 957 -417 1553 l-4 37 738 0 737 0 7 -92z m2576 -593 c0 -434 -4 -685 -10 -685 -5 0 -60 -7 -122 -15 -347 -48 -732 -144 -1094 -275 -92 -33 -169 -60 -170 -60 -7 0 -125 375 -168 532 -75 272 -119 476 -161 733 -22 141 -55 398 -55 438 0 16 49 17 890 17 l890 0 0 -685z m2580 668 c0 -35 -31 -290 -51 -413 -40 -258 -113 -583 -190 -850 -36 -125 -139 -440 -143 -440 -2 0 -73 25 -157 56 -379 137 -806 242 -1186 289 l-53 7 0 684 0 684 890 0 c841 0 890 -1 890 -17z m2274 -15 c-2 -18 -11 -96 -20 -173 -72 -640 -300 -1287 -641 -1827 -102 -161 -240 -352 -334 -461 -3 -5 -83 37 -175 93 -93 56 -299 166 -458 246 -159 79 -291 146 -293 148 -2 2 23 84 57 182 196 570 338 1203 382 1692 l11 132 738 0 738 0 -5 -32z m-4854 -3094 l0 -947 -80 7 c-44 3 -90 10 -102 15 -41 16 -295 396 -476 711 -165 287 -424 811 -447 903 -6 23 -1 25 122 60 288 81 526 133 773 167 131 18 181 25 203 29 4 0 7 -425 7 -945z m1010 916 c248 -35 486 -86 773 -167 70 -20 127 -40 127 -46 0 -46 -298 -650 -454 -921 -193 -333 -440 -699 -479 -710 -12 -3 -57 -9 -99 -12 l-78 -7 0 946 0 946 33 -5 c17 -2 97 -13 177 -24z m-2801 -608 c108 -260 268 -582 413 -826 32 -54 57 -100 56 -102 -6 -5 -235 94 -358 155 -69 35 -192 103 -275 152 -221 132 -536 362 -518 380 36 35 605 348 633 348 3 1 25 -48 49 -107z m4609 19 c153 -78 431 -236 455 -260 17 -17 -309 -256 -519 -381 -73 -44 -192 -109 -266 -146 -128 -65 -360 -166 -366 -160 -1 2 24 48 56 102 139 235 310 575 413 826 24 59 45 108 47 108 2 0 83 -40 180 -89z"/></g></svg>
                            <div class="card-body">
                                <h5 class="card-title">Network<i class="material-icons">arrow_right</i></h5>
                                <p>Ce sont des notions essentielles que l'on verra pendant que l'on parlera des requêtes, de client et de serveur, de navigateur etc. Ce sont des notions abstraites qu'il est essentiel de connaitre au moins pour comprendre le fonctionnement d'un navigateur et d'un site ou d'une application web. On en parlera tout au long de la formation.</p>
                            </div>
                        </div>
                        <div class="card" data-link="/courses/specializations/">
                            <svg class="card-icon" viewBox="0 0 1280.000000 1280.000000" preserveAspectRatio="xMidYMid meet"><g transform="translate(0.000000,1280.000000) scale(0.100000,-0.100000)" fill="#3297d3" stroke="none"><path d="M6150 11689 c-1818 -80 -3441 -1062 -4345 -2629 -492 -852 -739 -1877 -694 -2882 34 -773 202 -1447 529 -2123 557 -1152 1544 -2078 2721 -2554 724 -292 1498 -426 2262 -391 775 36 1449 204 2122 530 1153 557 2078 1544 2555 2724 459 1137 521 2399 174 3573 -318 1082 -985 2040 -1889 2714 -755 562 -1645 909 -2601 1013 -132 15 -547 37 -624 34 -19 0 -114 -5 -210 -9z m-150 -1765 c0 -895 -1 -945 -17 -940 -10 2 -45 7 -78 11 -118 12 -413 67 -574 106 -177 42 -442 117 -453 128 -4 3 19 62 51 131 200 435 477 917 768 1337 98 141 109 153 142 158 20 4 43 8 51 10 8 1 36 3 63 4 l47 1 0 -946z m979 928 c46 -17 397 -555 605 -927 74 -131 289 -559 323 -642 l22 -52 -97 -32 c-282 -90 -678 -174 -999 -212 l-33 -4 0 945 0 945 80 -7 c44 -3 88 -10 99 -14z m-2385 -444 c-93 -158 -314 -591 -390 -765 -27 -62 -54 -113 -61 -113 -29 0 -498 251 -606 325 -17 12 -8 21 85 95 124 98 372 264 523 351 154 88 485 245 522 248 6 1 -26 -63 -73 -141z m3694 77 c321 -141 725 -390 960 -592 l34 -28 -144 -85 c-151 -89 -461 -250 -481 -250 -7 0 -37 55 -66 123 -106 241 -308 631 -430 830 -22 37 -36 67 -31 67 6 0 77 -29 158 -65z m-5171 -1286 c92 -55 301 -167 464 -248 l296 -147 -19 -50 c-75 -194 -226 -728 -294 -1035 -69 -318 -103 -529 -139 -861 l-6 -58 -739 0 -738 0 4 38 c52 499 140 874 299 1277 124 314 243 541 430 820 93 139 262 365 272 365 1 0 78 -45 170 -101z m6805 16 c509 -635 852 -1489 923 -2300 3 -38 8 -80 11 -92 l4 -23 -740 0 c-407 0 -740 2 -740 5 0 3 -7 70 -15 148 -56 506 -200 1135 -392 1706 l-49 145 305 153 c169 84 376 195 461 247 85 52 158 94 161 93 4 -1 36 -38 71 -82z m-5193 -740 c385 -143 849 -258 1214 -300 l57 -6 0 -685 0 -684 -891 0 -891 0 7 78 c35 399 137 897 270 1326 49 157 104 316 110 316 2 0 58 -20 124 -45z m3501 -42 c162 -447 304 -1086 345 -1555 l7 -78 -891 0 -891 0 0 685 c0 541 3 685 13 685 34 1 301 42 414 65 257 52 604 150 839 239 65 25 122 45 126 45 3 1 20 -38 38 -86z m-4806 -2525 c35 -464 168 -1072 362 -1657 46 -140 82 -256 81 -258 -2 -2 -134 -68 -293 -147 -159 -80 -365 -190 -458 -246 l-169 -101 -24 28 c-200 242 -425 596 -560 883 -228 484 -355 957 -417 1553 l-4 37 738 0 737 0 7 -92z m2576 -593 c0 -434 -4 -685 -10 -685 -5 0 -60 -7 -122 -15 -347 -48 -732 -144 -1094 -275 -92 -33 -169 -60 -170 -60 -7 0 -125 375 -168 532 -75 272 -119 476 -161 733 -22 141 -55 398 -55 438 0 16 49 17 890 17 l890 0 0 -685z m2580 668 c0 -35 -31 -290 -51 -413 -40 -258 -113 -583 -190 -850 -36 -125 -139 -440 -143 -440 -2 0 -73 25 -157 56 -379 137 -806 242 -1186 289 l-53 7 0 684 0 684 890 0 c841 0 890 -1 890 -17z m2274 -15 c-2 -18 -11 -96 -20 -173 -72 -640 -300 -1287 -641 -1827 -102 -161 -240 -352 -334 -461 -3 -5 -83 37 -175 93 -93 56 -299 166 -458 246 -159 79 -291 146 -293 148 -2 2 23 84 57 182 196 570 338 1203 382 1692 l11 132 738 0 738 0 -5 -32z m-4854 -3094 l0 -947 -80 7 c-44 3 -90 10 -102 15 -41 16 -295 396 -476 711 -165 287 -424 811 -447 903 -6 23 -1 25 122 60 288 81 526 133 773 167 131 18 181 25 203 29 4 0 7 -425 7 -945z m1010 916 c248 -35 486 -86 773 -167 70 -20 127 -40 127 -46 0 -46 -298 -650 -454 -921 -193 -333 -440 -699 -479 -710 -12 -3 -57 -9 -99 -12 l-78 -7 0 946 0 946 33 -5 c17 -2 97 -13 177 -24z m-2801 -608 c108 -260 268 -582 413 -826 32 -54 57 -100 56 -102 -6 -5 -235 94 -358 155 -69 35 -192 103 -275 152 -221 132 -536 362 -518 380 36 35 605 348 633 348 3 1 25 -48 49 -107z m4609 19 c153 -78 431 -236 455 -260 17 -17 -309 -256 -519 -381 -73 -44 -192 -109 -266 -146 -128 -65 -360 -166 -366 -160 -1 2 24 48 56 102 139 235 310 575 413 826 24 59 45 108 47 108 2 0 83 -40 180 -89z"/></g></svg>
                            <div class="card-body">
                                <h5 class="card-title">Specialisations<i class="material-icons">arrow_right</i></h5>
                                <p>Faire de jolis sites ou des sites avec Wordpress !</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </main>
        <script src="/includes/js/select-course.js"></script>
    </body>
</html>
